---
title: Animation.id
slug: Web/API/Animation/id
tags:
  - API
  - Animation
  - Property
  - Reference
  - id
  - web animations api
---
<p>{{ SeeCompatTable() }}{{ APIRef("Web Animations") }}</p>

<p>The <code><strong>Animation</strong></code><strong><code>.id</code></strong> property of the <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a> returns or sets a string used to identify the animation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>animationsId</em> = <em>Animation</em>.id;

<em>Animation</em>.id = <em>newIdString</em>;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which can be used to identify the animation, or <code>null</code> if the animation has no <code>id</code>.</p>

<h2 id="Examples">Examples</h2>

<p>In the <a href="http://codepen.io/rachelnabors/pen/eJyWzm?editors=0010">Follow the White Rabbit example</a>, you can assign the <code>rabbitDownAnimation</code> an <code>id</code> like so:</p>

<pre class="brush: js">rabbitDownAnimation.effect.<em>id</em> = "rabbitGo";
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animation-id', 'Animation.id' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Animation.id")}}</p>
</div>

<h2 id="See_also" style="line-height: 30px; font-size: 2.14285714285714rem;">See also</h2>

<ul>
 <li>{{domxref("KeyframeEffect")}}</li>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("Animation")}}</li>
</ul>
